# HypeRvieW

HyperVieW is a desktop application for the analysis, reference data generation, registration and supervised spatial-spectral classification of hyperspectral remote sensing images through a simple and intuitive interface. Regarding the classification ability, the different classification schemes are implemented by using a chain structure as a base. It consists of five configurable stages that must be executed in fixed order: preprocessing, spatial processing, classification, combination and postprocessing. The modular implementation makes it easy an extension by adding new algorithms for each stage or new classification chains. The tool has been designed as a platform which is open to the incorporation of algorithms by the users interested in comparing classification schemes. As an example of use a classification scheme based on the Quick Shift (QS) algorithm for segmentation and on Extreme Learning Machines (ELM) or Support Vector Machines (SVMs) for classification is also proposed. The application is license-free, runs on the Linux operating system and was developed in C language using the GTK library, as well as other free libraries to build the graphical user interfaces.

## Installation

Follow these instructions to compile HypeRvieW.

### Debian-based distributions (Debian, Ubuntu, Linux Mint...)

1. Install dependencies:
`sudo apt-get install libblas-dev liblapacke-dev liblapack-dev libglade2-dev libfftw3-dev gfortran libmatio-dev libssl-dev libhdf5-dev libcanberra-gtk-module libtiff5-dev`
2. `cd HypeRvieW/HypeRvieW`
3. `./HypeRvieW`

### OpenSUSE

1. Install dependencies:
`sudo zypper install libglade2-devel fftw3-devel libmatio-devel cblas-devel lapacke-devel lapack-devel hdf5-devel gcc48-fortran libcanberra-devel gcc-c++ libopenssl-devel libopenblas_openmp-devel libtiff-devel`
2. **IMPORTANT!** Set OpenBLAS as default library
`/usr/sbin/update-alternatives --config libblas.so.3`
3. `cd HypeRvieW/HypeRvieW`
4. `./HypeRvieW`

## Citation

This application was presented in the paper "HypeRvieW: an open source desktop application for hyperspectral remote-sensing data processing". If you use this program in your research projects, we encourage you to please cite our work:

```
@article{garea2016hyperview,
  title={HypeRvieW: an open source desktop application for hyperspectral remote-sensing data processing},
  author={Garea, Alberto S and Ord{\'o}{\~n}ez, {\'A}lvaro and Heras, Dora B and Arg{\"u}ello, Francisco},
  journal={International Journal of Remote Sensing},
  volume={37},
  number={23},
  pages={5533--5550},
  year={2016},
  publisher={Taylor \& Francis}
}
```

## License

This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.

